Lingxing
切换旧版

查询产品仓位列表

POST/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList

接口信息

API Path请求协议请求方式令牌桶容量
/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList HTTPSPOST1

请求参数

listarray<object>必填
隐藏子属性
widstring必填
仓库id
productIdstring必填
产品id
fnskustring必填
fnsku
sidstring
店铺id
withHistoryboolean
是否查询历史仓位,false-否true-是;默认否

请求cURL示例

curl --location 'https://openapi.lingxing.com/basicOpen/warehouseConfig/warehouseBin/getEntryRecommendBinList?access_token=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "list": [
    {
        "wid": "1", 
        "productId": 39258, 
        "fnsku": "", 
        "sid": 103
    },
    {
        "wid": "1", 
        "productId": 31386, 
        "fnsku": "", 
        "sid": 103
    }
        ], 
    "withHistory": false
 }'

返回结果 ##

Json Object

codestring
状态码,0成功
messagestring必填
提示信息
errorDetailsstring必填
错误信息
requestIdstring必填
请求链路id
dataobject必填
隐藏子属性
fnskustring必填
fnsku
productIdstring必填
产品id
widstring必填
仓库id
sidstring必填
店铺id
validStorageArrarray<object>必填
返回可用仓位列表
隐藏子属性
productNumstring必填
可用量
whbIdstring必填
仓位id
whbTypestring必填
仓位类型
whbTypeNamestring必填
仓位
whbCodestring必填
仓位编码
whbCodeNamestring必填
仓位名称
namestring必填
仓位编码
valuestring必填
仓位名称
invalidStorageArrarray<object>必填
返回次品仓位列表
隐藏子属性
productNumstring必填
可用量
whbIdstring必填
仓位id
whbTypestring必填
仓位类型
whbTypeNamestring必填
仓位
whbCodestring必填
仓位编码
whbCodeNamestring必填
仓位名称
namestring必填
仓位编码
valuestring必填
仓位名称
totalstring必填
总数

返回成功示例

{
    "code": 0,
    "message": "success",
    "error_details": [],
    "request_id": "5545f7272e03483caeff02cd4cb9c592.1757574480275",
    "response_time": "2025-09-11 15:08:07",
    "data": [
        {
            "fnsku": "",
            "product_id": 39258,
            "wid": 1,
            "sid": "103",
            "valid_storage_arr": [
                {
                    "product_num": 0,
                    "whb_id": 2,
                    "whb_type": 2,
                    "whb_type_name": "可用暂存",
                    "whb_code": "ts_valid",
                    "whb_code_name": "可用暂存",
                    "name": "ts_valid",
                    "value": "可用暂存"
                }
            ],
            "invalid_storage_arr": []
        },
        {
            "fnsku": "",
            "product_id": 31386,
            "wid": 1,
            "sid": "103",
            "valid_storage_arr": [
                {
                    "product_num": 69,
                    "whb_id": 2,
                    "whb_type": 2,
                    "whb_type_name": "可用暂存",
                    "whb_code": "ts_valid",
                    "whb_code_name": "可用暂存",
                    "name": "ts_valid",
                    "value": "可用暂存"
                }
            ],
            "invalid_storage_arr": [
                {
                    "product_num": 12,
                    "whb_id": 3,
                    "whb_type": 3,
                    "whb_type_name": "次品暂存",
                    "whb_code": "ts_bad",
                    "whb_code_name": "次品暂存",
                    "name": "ts_bad",
                    "value": "次品暂存"
                }
            ]
        }
    ],
    "total": 2
}